Page MenuHomePhabricator

Page hangs while translating an article from English to Polish using CX
Closed, ResolvedPublic

Description

I'm not sure it's a memory leak or a WAD, but I noticed something strange. I tried to translate an article on electronic cigarettes to Polish. I have plenty of tabs opened in my Firefox, so the memory usage oscillates around 500 000 K. When I open the article for translation in CT and copy the pictures, nothing fancy happens. But when I click the first paragraph to be copied over to the translated side, the browser hangs, memory usage rises beyond 2 000 000 K and then Firefox crashes. In Chrome memory usage (with only one tab open) reaches 500 000 K (and it hangs for half a minute, but it doesn't crash and in the end the first paragraph gets copied over to the other side).

Event Timeline

Halibutt raised the priority of this task from to Needs Triage.
Halibutt updated the task description. (Show Details)
Halibutt added a subscriber: Halibutt.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 10 2015, 1:29 AM
santhosh renamed this task from Possible memory leak in CT to Page hangs while translating an article from English to Polish using CX.Jan 11 2016, 8:17 PM
santhosh set Security to None.
santhosh added a subscriber: santhosh.

I was able to reproduce this. I will investigate. Thanks

santhosh triaged this task as High priority.Jan 11 2016, 10:42 PM

Change 263530 had a related patch set uploaded (by Santhosh):
References: Avoid calling addReferenceList more than once

https://gerrit.wikimedia.org/r/263530

santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint 1 board.
Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint 1 board.Jan 19 2016, 4:36 PM

Change 263530 merged by jenkins-bot:
References: Avoid calling addReferenceList more than once

https://gerrit.wikimedia.org/r/263530

Arrbee added a subscriber: Arrbee.Jan 22 2016, 11:12 AM

Verified. Does not seem to be happening any longer.

Arrbee moved this task from QA to Done on the LE-CX8-Sprint 1 board.Jan 22 2016, 11:18 AM
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Feb 2 2016, 8:08 PM
Arrbee closed this task as Resolved.Feb 10 2016, 8:49 AM